tbb::flow::interface8::opencl_graph Class Reference
Inheritance diagram for tbb::flow::interface8::opencl_graph:

## Public Member Functions

| opencl_graph ()
| Constructs a graph with isolated task_group_context.
| opencl_graph (task_group_context &context)
| Constructs a graph with an user context.
| ~opencl_graph ()
| Destroys a graph.
const opencl_device_list & | available_devices ()
| Available devices.
default_opencl_factory & | opencl_factory ()
Public Member Functions inherited from tbb::flow::interface8::graph
| graph ()
| Constructs a graph with isolated task_group_context.
| graph (task_group_context &use_this_context)
| Constructs a graph with use_this_context as context.
| ~graph ()
| Destroys the graph. More...
void | set_name (const char *name)
void | increment_wait_count ()
| Used to register that an external entity may still interact with the graph. More...
void | decrement_wait_count ()
| Deregisters an external entity that may have interacted with the graph. More...
template<typename Receiver , typename Body >
void | run (Receiver &r, Body body)
| Spawns a task that runs a body and puts its output to a specific receiver. More...
template<typename Body >
void | run (Body body)
| Spawns a task that runs a function object. More...
void | wait_for_all ()
| Wait until graph is idle and decrement_wait_count calls equals increment_wait_count calls. More...
task * | root_task ()
| Returns the root task of the graph.
void | set_active (bool a=true)
bool | is_active ()
void | add_task_to_reset_list (task *tp)
iterator | begin ()
| start iterator
iterator | end ()
| end iterator
const_iterator | begin () const
| start const iterator
const_iterator | end () const
| end const iterator
const_iterator | cbegin () const
| start const iterator
const_iterator | cend () const
| end const iterator
bool | is_cancelled ()
| return status of graph execution
bool | exception_thrown ()
void | reset (reset_flags f=rf_reset_protocol)

## Protected Member Functions

opencl_foundation & | get_opencl_foundation ()

## Protected Attributes

opencl_foundation * | my_opencl_foundation

## Friends

template<typename T , typename Factory >
class | opencl_buffer
template<cl_channel_order channel_order, cl_channel_type channel_type, typename Factory >
class | opencl_image2d
template<typename... Args>
class | opencl_node
template<typename DeviceFilter >
class | opencl_factory

## Additional Inherited Members

Public Types inherited from tbb::flow::interface8::graph
typedef graph_iterator< graph, graph_node > | iterator
typedef graph_iterator< const graph, const graph_node > | const_iterator

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.